Skip to content

Get seller prices and amounts charged to the buyer ​

http
POST /api/marketplace/v3/click-collect/orders/final-price

Base URL: https://marketplace-api.wildberries.ru · Module: in-store-pickup · Section: In-Store Pickup Assembly Orders · Specification doc ↗

The method returns:

  • seller prices excluding discounts
  • sums charged to the buyer including all discounts and cashback

Request limit per one seller account for all methods for getting and deleting In-Store Pickup label identifiers:

PeriodLimitIntervalBurst
1 min150 requests400 ms20 requests
One request with 4XX response codes is counted as 10 requests.

In Sandbox — maximum of 1 request per second for all Marketplace methods in total.

Request body ​

application/json — schema api.OrdersRequest, optional

  • orders integer<int64>[] — Assembly orders IDs list

Responses ​

CodeDescriptionSchema
200Successapi.OrdersFinalPriceResponse
400Bad requestapi.BatchError
401Unauthorizedobject
402Payment requiredobject
403Access deniedapi.BatchError
429Too many requestsobject

Structure 200:

  • requestId string — Unique request ID
  • results api.OrderFinalPriceResult[] — Response data
    • orderId integer<int64> — Assembly order ID
    • data object — Assembly order data. If {}, the data is being generated. Please try again later. Maximum data generation time is approximately 1 minute. If data absent, assembly order data is not provided. Use the data from the responses of the methods: - Get New Assembly Orders List - Get Information on Completed Orders
      • originalPrice integer<int64> — Seller price in the currency of sale, excluding discounts, multiplied by 100
      • convertedOriginalPrice integer<int64> — Seller price in the currency of the seller country, excluding discounts, multiplied by 100
      • originalFinalPrice integer<int64> — The sum charged to the buyer in the currency of sale including all discounts and cashback, multiplied by 100. You can find a currency code in the currencyCode field. Provided for informational purposes only
      • convertedOriginalFinalPrice integer<int64> — The sum charged to the buyer in the currency of the seller country including all discounts and cashback, multiplied by 100. Provided for informational purposes only
      • currencyCode integer<ISO 4217> — Sale currency code
      • convertedCurrencyCode integer<ISO 4217> — Currency code of the seller country
    • errors api.BatchErrorFinalPriceResponse[] — Error detail
      • code integer<int64> — Error code: - 404 — NotFound - 400 — StatusMismatch - 422 — PriceNotCalculated
      • detail string — - NotFound — the assembly order is not found (404) - StatusMismatch — operation is not possible for this assembly order status (400) - PriceNotCalculated — operation is not available for assembly orders created before 23.07.2026 (422)
    • isError boolean — Are there any errors

Structure 400:

  • detail object — Error details
  • origin string — WB internal service ID
  • requestId string — Unique request ID
  • title string — Error title

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • detail object — Error details
  • origin string — WB internal service ID
  • requestId string — Unique request ID
  • title string — Error title

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.in_store_pickup import Configuration, ApiClient
from wb_api_client.in_store_pickup.api import InStorePickupApi

cfg = Configuration(access_token="<your WB JWT>")
api = InStorePickupApi(ApiClient(cfg))

result = api.post_v3_click_collect_orders_final_price(api_orders_request=...)
print(result)
ts
import {
  Configuration,
  InStorePickupApi,
} from "@valeryverkhoturov/wb-api-client/in-store-pickup";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new InStorePickupApi(cfg);

const { data } = await api.postV3ClickCollectOrdersFinalPrice(apiOrdersRequest);
console.log(data);
go
import (
	"context"
	"fmt"

	wbinstorepickup "github.com/ValeryVerkhoturov/wb-api-client-go/in_store_pickup"
)

cfg := wbinstorepickup.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbinstorepickup.NewAPIClient(cfg)

result, _, err := client.InStorePickupAPI.PostV3ClickCollectOrdersFinalPrice(context.Background()).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.in_store_pickup.ApiClient;
import io.github.valeryverkhoturov.wbapi.in_store_pickup.SecretString;
import io.github.valeryverkhoturov.wbapi.in_store_pickup.api.InStorePickupApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
InStorePickupApi api = new InStorePickupApi(client);

System.out.println(api.postV3ClickCollectOrdersFinalPrice(apiOrdersRequest));
php
use ValeryVerkhoturov\WbApiClient\InStorePickup\Configuration;
use ValeryVerkhoturov\WbApiClient\InStorePickup\SecretString;
use ValeryVerkhoturov\WbApiClient\InStorePickup\Api\InStorePickupApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new InStorePickupApi(new Client(), $config);

print_r($api->postV3ClickCollectOrdersFinalPrice());
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый InStorePickupApi(Настройки);

Сообщить(Клиент.PostV3ClickCollectOrdersFinalPrice(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.InStorePickup.Api;
using ValeryVerkhoturov.WbApiClient.InStorePickup.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new InStorePickupApi(config);

Console.WriteLine(api.PostV3ClickCollectOrdersFinalPrice());
rust
use wb_api_client::in_store_pickup::apis::{configuration::Configuration, in_store_pickup_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = in_store_pickup_api::post_v3_click_collect_orders_final_price(&cfg, api_period_orders_request).await;
    println!("{:#?}", result);
}